@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600&family=Oleo+Script&display=swap");

/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  z-index: -1;
  font-family: "Montserrat", sans-serif;
  color: var(--on-background);
  background-color: var(--background);
  background-image: url("data:image/svg+xml,%3Csvg width='180' height='180' viewBox='0 0 180 180' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M81.28 88H68.413l19.298 19.298L81.28 88zm2.107 0h13.226L90 107.838 83.387 88zm15.334 0h12.866l-19.298 19.298L98.72 88zm-32.927-2.207L73.586 78h32.827l.5.5 7.294 7.293L115.414 87l-24.707 24.707-.707.707L64.586 87l1.207-1.207zm2.62.207L74 80.414 79.586 86H68.414zm16 0L90 80.414 95.586 86H84.414zm16 0L106 80.414 111.586 86h-11.172zm-8-6h11.173L98 85.586 92.414 80zM82 85.586L87.586 80H76.414L82 85.586zM17.414 0L.707 16.707 0 17.414V0h17.414zM4.28 0L0 12.838V0h4.28zm10.306 0L2.288 12.298 6.388 0h8.198zM180 17.414L162.586 0H180v17.414zM165.414 0l12.298 12.298L173.612 0h-8.198zM180 12.838L175.72 0H180v12.838zM0 163h16.413l.5.5 7.294 7.293L25.414 172l-8 8H0v-17zm0 10h6.613l-2.334 7H0v-7zm14.586 7l7-7H8.72l-2.333 7h8.2zM0 165.414L5.586 171H0v-5.586zM10.414 171L16 165.414 21.586 171H10.414zm-8-6h11.172L8 170.586 2.414 165zM180 163h-16.413l-7.794 7.793-1.207 1.207 8 8H180v-17zm-14.586 17l-7-7h12.865l2.333 7h-8.2zM180 173h-6.613l2.334 7H180v-7zm-21.586-2l5.586-5.586 5.586 5.586h-11.172zM180 165.414L174.414 171H180v-5.586zm-8 5.172l5.586-5.586h-11.172l5.586 5.586zM152.933 25.653l1.414 1.414-33.94 33.942-1.416-1.416 33.943-33.94zm1.414 127.28l-1.414 1.414-33.942-33.94 1.416-1.416 33.94 33.943zm-127.28 1.414l-1.414-1.414 33.94-33.942 1.416 1.416-33.943 33.94zm-1.414-127.28l1.414-1.414 33.942 33.94-1.416 1.416-33.94-33.943zM0 85c2.21 0 4 1.79 4 4s-1.79 4-4 4v-8zm180 0c-2.21 0-4 1.79-4 4s1.79 4 4 4v-8zM94 0c0 2.21-1.79 4-4 4s-4-1.79-4-4h8zm0 180c0-2.21-1.79-4-4-4s-4 1.79-4 4h8z' fill='%2303dac5' fill-opacity='0.3' fill-rule='evenodd'/%3E%3C/svg%3E");
}

a {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Oleo Script", cursive;
}

:root {
  --primary-color: rgb(255, 92, 92);
  --primary-variant: #ff2d2d;
  --secondary-color: #1b9999;
  --on-primary: rgb(250, 250, 250);
  --on-background: rgb(66, 66, 66);
  --on-background-alt: rgba(66, 66, 66, 0.7);
  --background: rgb(255, 255, 255);
  --background-op: rgba(255, 255, 255, 0.8);
  --back-me: rgba(212, 207, 207, 0.9);
  --box-shadow: 2px 2px 15px 10px rgba(0, 0, 0, 0.5);
}

[data-theme="dark"] {
  --primary-color: rgb(150, 65, 255);
  --primary-variant: #6c63ff;
  --secondary-color: #03dac5;
  --on-primary: #000;
  --on-background: rgba(255, 255, 255, 0.9);
  --on-background-alt: rgba(255, 255, 255, 0.7);
  --background: rgb(18, 18, 18);
  --back-me: rgba(50, 50, 50, 0.9);
  --background-op: rgba(18, 18, 18, 0.8);
  --box-shadow: 2px 2px 15px 10px rgba(255, 255, 255, 0.5);
}

/*--------------------------------------------------------------
# scroll bar
--------------------------------------------------------------*/
body::-webkit-scrollbar {
  width: 10px;
  border-radius: 10px;
}

body::-webkit-scrollbar-thumb {
  background-color: var(--primary-color);
  border-radius: 10px;
}

/*--------------------------------------------------------------
# theme switch style
--------------------------------------------------------------*/

.theme-switch-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 100;

  right: 25px;
  top: 30px;
}

.theme-switch-wrapper span {
  margin-right: 10px;
  font-size: 1rem;
}

.toggle-text {
  position: relative;
  top: -4px;
  right: 5px;
  color: var(--on-background);
}

.theme-switch {
  display: inline-block;
  height: 34px;
  position: relative;
  width: 60px;
}

.theme-switch input {
  display: none;
}

.slider {
  background: var(--primary-color);
  bottom: 0;
  cursor: pointer;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  transition: 0.4s;
}

.slider::before {
  background: #fff;
  bottom: 4px;
  content: "";
  height: 26px;
  left: 4px;
  position: absolute;
  transition: 0.4s;
  width: 26px;
}

input:checked+.slider {
  background: var(--primary-color);
}

input:checked+.slider::before {
  transform: translateX(26px);
}

.slider.round {
  border-radius: 34px;
}

.slider.round::before {
  border-radius: 50%;
}

.fas {
  font-size: 30px;
  margin-right: 5px;
}

/*--------------------------------------------------------------
# header
--------------------------------------------------------------*/
.header {
  background: rgb(255 255 255 / 100%);
  padding: 10px 5px;
}

.logo {
  font-size: 2rem;
}

.logo span {
  color: var(--primary-variant);
}

.logo span strong {
  color: var(--secondary-color);
}

/*--------------------------------------------------------------
# hero
--------------------------------------------------------------*/
.hero {
  width: 100vw;
  height: 100vh;
}

.hero-content {
  margin-top: 6rem;
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: column;
}

.hero-content h1 {
  font-size: 4rem;
}

.hero-btn {
  margin-bottom: 2rem;
  cursor: pointer;
  color: var(--background);
  display: inline-block;
  padding: 10px 30px;
  background: var(--primary-variant);
  border-radius: 25px;
  font-weight: 800;
  transition: all 0.4s ease-in-out;
}

.hero-btn:hover {
  background: transparent;
  border: 2px solid var(--primary-variant);
  color: var(--on-background);
}

/*--------------------------------------------------------------
# footer content
--------------------------------------------------------------*/
footer {
  background: var(--background-op);
  text-align: center;
  padding: 20px 0;
}

footer.container {
  position: relative;
}

footer h1 {
  font-size: 36px;
  margin: 0 0 15px 0;
}

footer p {
  font-style: italic;
  margin: 0 0 40px 0;
  padding: 0;
  font-size: 15px;
}

footer .social-links {
  margin-bottom: 40px;
}

footer .social-links a {
  display: inline-block;

  margin-right: 4px;
  border-radius: 50%;
  text-align: center;
  width: 36px;
  height: 36px;
  transition: 0.3s;
}

footer .social-links a i {
  font-size: 18px;
  padding: 20px 0;
  line-height: 0px;
}

.twitter {
  color: var(--background);
  background: #1a9acc;
}

.github {
  color: var(--background);
  background: #757473;
}

.instagram {
  color: var(--background);
  background: #b425c7;
}

.skype {
  color: var(--background);
  background: #0f64d3;
}

.youtube {
  color: var(--background);
  background: #c50303;
}

.twitter:hover {
  background: transparent;
  color: #1a9acc;
  border: 2px solid #1a9acc;
}

.github:hover {
  background: transparent;
  color: #757473;
  border: 2px solid #757473;
}

.instagram:hover {
  background: transparent;
  color: #b425c7;
  border: 2px solid #b425c7;
}

.skype:hover {
  background: transparent;
  color: #0f64d3;
  border: 2px solid #0f64d3;
}

.youtube:hover {
  background: transparent;
  color: #c50303;
  border: 2px solid #c50303;
}

.copyright {
  border-top: 2px solid var(--on-background);
  padding-top: 5px;
}

/*--------------------------------------------------------------
# report
--------------------------------------------------------------*/
.report {
  padding: 100px 0 20px 0;
}

.inputs {

  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin: 2rem;
  padding: 20px 0;
  border-radius: 15px;
  box-shadow: var(--box-shadow);
}

.input-value {
  width: 60%;
  height: 2.5rem;
  border-radius: 20px;
  outline: none;
  border: none;
  padding: 0.8rem;
  margin-bottom: 1rem;
  background-color: var(--on-background-alt);
  color: var(--background);
}

.btn-search {
  outline: none;
  color: var(--on-primary);
  border: none;
  padding: 8px 35px;
  border-radius: 30px;
  background: var(--secondary-color);
  transition: all 0.3s ease-in-out;
}

.btn-search:hover,
.btn-search:focus {
  background: transparent;
  border: 2px solid Var(--secondary-color);
  color: var(--on-background);
}

.ess {
  box-shadow: var(--box-shadow);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  border-radius: 15px;
  margin: 2rem;
}

.ess-img {
  height: 150px;
  width: 150px;
  padding: 30px;
  background: var(--on-background-alt);
  margin-top: 10px;
  border-radius: 50%;
  margin-bottom: 10px;

}

.non-ess-img {
  height: 100px;
  width: 100px;

}

.ess-temp {
  color: var(--primary-variant);
}

.ess-loc {
  margin-top: 10px;
  color: var(--secondary-color);
  font-weight: bolder;
  margin-bottom: -5px;
}

.ess-date {
  color: var(--primary-color);
  font-weight: bolder;
}

.non-ess {

  box-shadow: var(--box-shadow);
  padding: 2rem 0;
  border-radius: 15px;
  margin: 10px;
}

.non-ess-content {
  display: flex;
  align-items: center;
  justify-content: center;
}

.non-ess-item {
  margin: 2px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  border-radius: 10px;
}

.non-ess-item h4 {
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  text-align: center;
}

.noness-val {
  font-size: 26px;
}

/*--------------------------------------------------------------
# media query
--------------------------------------------------------------*/